PUT Person/{id}
Some tooltip text!
• 26 minutes to read
• 26 minutes to read
PUT /api/v1/Person/{id}
Updates the existing PersonEntity
NsApiSlow threshold: 2000 ms.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The PersonEntity id to update. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
PUT /api/v1/Person/{id}?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entity
The PersonEntity to be saved.
| Property Name | Type | Description |
|---|---|---|
| PersonId | Integer | Primary key |
| Firstname | String | First name |
| MiddleName | String | Middle name or 'van' etc. |
| Lastname | String | Last name |
| Mrmrs | String | e.g. Mrs sex_title |
| Title | String | Title |
| UpdatedDate | String | Last updated date in UTC. |
| CreatedDate | String | Registered date in UTC. |
| BirthDate | String | The Person birth date as UTC Date. Year 1 = Null. Year 2 = unknown year. |
| CreatedBy | Associate | The user that created the person object |
| Emails | Array | A collection of the person's emails |
| Description | String | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| IsAssociate | Boolean | Checks if the person object is an associate. The property is read-only. |
| PrivatePhones | Array | Returns a collection of phone numbers that belong to the contact person. |
| Faxes | Array | Returns a collection of fax numbers that belong to the contact person. |
| MobilePhones | Array | Returns a collection of mobile phone numbers that belong to the contact person. |
| OfficePhones | Array | Returns a collection of office phone numbers that belong to the contact person. |
| OtherPhones | Array | Returns a collection of pagers that belong to the contact person. |
| Position | Position | The position. This is a predefined SuperOffice value, different from Title |
| UpdatedBy | Associate | The person that last updated the person object |
| Contact | Contact | The contact the contact person is registered on. This is required unless the 'MandatoryContactOnPerson' preference is set. |
| Country | Country | The country this contact person is located in. |
| Interests | Array | The person's available and selected interests. |
| PersonNumber | String | Alphanumeric user field |
| FullName | String | The person's full name localized to the current culture/country. (internal name used in clients for employees) |
| NoMailing | Boolean | Spam filter. Indicates if this person should retrieve advertising. |
| UsePersonAddress | Boolean | True if the person's address should be used as mailing address, instead of the contact's address. |
| Retired | Boolean | True if the user is retired and should have no rights, not appear in lists, etc. |
| Urls | Array | The urls related to this person. |
| FormalName | String | Get formal name for a person, as used in labels. (Full name + person title + academic title) |
| Address | Address | Structure holding formatted address data. The layout of the array structure indicates the layout of the localized address. |
| Post3 | String | Postal address, used in Japanese versions only |
| Post2 | String | Postal address, used in Japanese versions only |
| Post1 | String | Postal address, used in Japanese versions only |
| Kanalname | String | Kana last name, used in Japanese versions only |
| Kanafname | String | Kana first name, used in Japanese versions only |
| CorrespondingAssociate | Associate | The associate corresponding to this person. Will be empty if the person is not a user (internal associate user, external user). |
| Category | Category | Person's category. Usually null. Refer to the Contact.Category instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) |
| Business | Business | Person's business - usually blank. Use Contact.Business instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) |
| Associate | Associate | The associate owning this person (similar to contact.Associate) - usually blank. Use the Person.Contact.Associate instead. Intended for use when individual persons are created (i.e. when Person.Contact is blank) |
| Salutation | String | Academic title, populated from Salutation list but can be overwritten with anything at all |
| ActiveInterests | Integer | The number of active interests. |
| SupportAssociate | Associate | |
| TicketPriority | TicketPriority | |
| CustomerLanguage | CustomerLanguage | |
| DbiAgentId | Integer | Integration agent (eJournal) |
| DbiKey | String | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | String | When the entry was last modified. |
| DbiLastSyncronized | String | Last external syncronization. |
| SentInfo | Integer | Has information on username/password been sent (ejournal) |
| ShowContactTickets | Integer | Should tickets related to the company be shown to this person |
| UserInfo | UserInfo | Information about the user if this person is a user. If IsAssociate (e.g. is user is true) the UserInfo will be provided. |
| ChatEmails | Array | |
| InternetPhones | Array | |
| Source | Integer | How did we get this person? For future integration needs |
| ActiveErpLinks | Integer | How many active ERP links are there for this person? |
| ShipmentTypes | Array | The person's available and selected shipment types. |
| Consents | Array | The person's available consent information. Missing consents are not deleted. To remove a consent, mark its legalbase as 'WITHDRAWN' |
| BounceEmails | Array | Email addresses with a positive bounce counter. |
| ActiveStatusMonitorId | Integer | Active status monitor identity with the lowest rank for person |
| CreatedByFormId | Integer | The form id of the form that created the person |
| UtmParameters | SavedUtmParameters | Utm parameters when creating this person, readonly fields |
| LeadstatusId | Integer | Refinement of categories of lead type. Empty if the category is not a lead type. |
| UserDefinedFields | Object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.PersonEntity.ExtraFields} and |
Response:
PersonEntity updated.
| Response | Description |
|---|---|
| 200 | PersonEntity updated. |
| 412 | Update stopped because PersonEntity has changed since the requested If-Unmodified-Since timestamp. |
| 400 | Bad request. Entity to save is not in request body. |
Response body: PersonEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| PersonId | int32 | Primary key |
| Firstname | string | First name |
| MiddleName | string | Middle name or 'van' etc. |
| Lastname | string | Last name |
| Mrmrs | string | e.g. Mrs sex_title Use MDO List name "mrmrs" to get list items. |
| Title | string | Title |
| UpdatedDate | date-time | Last updated date in UTC. |
| CreatedDate | date-time | Registered date in UTC. |
| BirthDate | date-time | The Person birth date as UTC Date. Year 1 = Null. Year 2 = unknown year. |
| CreatedBy | Associate | The user that created the person object |
| Emails | array | A collection of the person's emails |
| Description | string | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| IsAssociate | bool | Checks if the person object is an associate. The property is read-only. |
| PrivatePhones | array | Returns a collection of phone numbers that belong to the contact person. |
| Faxes | array | Returns a collection of fax numbers that belong to the contact person. |
| MobilePhones | array | Returns a collection of mobile phone numbers that belong to the contact person. |
| OfficePhones | array | Returns a collection of office phone numbers that belong to the contact person. |
| OtherPhones | array | Returns a collection of pagers that belong to the contact person. |
| Position | Position | The position. This is a predefined SuperOffice value, different from Title Use MDO List name "perspos" to get list items. |
| UpdatedBy | Associate | The person that last updated the person object |
| Contact | Contact | The contact the contact person is registered on. This is required unless the 'MandatoryContactOnPerson' preference is set. Use MDO List name "contact_new" to get list items. |
| Country | Country | The country this contact person is located in. Use MDO List name "country" to get list items. |
| Interests | array | The person's available and selected interests. Use MDO List name "persint" to get list items. |
| PersonNumber | string | Alphanumeric user field |
| FullName | string | The person's full name localized to the current culture/country. (internal name used in clients for employees) |
| NoMailing | bool | Spam filter. Indicates if this person should retrieve advertising. |
| UsePersonAddress | bool | True if the person's address should be used as mailing address, instead of the contact's address. |
| Retired | bool | True if the user is retired and should have no rights, not appear in lists, etc. |
| Urls | array | The urls related to this person. |
| FormalName | string | Get formal name for a person, as used in labels. (Full name + person title + academic title) |
| Address | Address | Structure holding formatted address data. The layout of the array structure indicates the layout of the localized address. |
| Post3 | string | Postal address, used in Japanese versions only |
| Post2 | string | Postal address, used in Japanese versions only |
| Post1 | string | Postal address, used in Japanese versions only |
| Kanalname | string | Kana last name, used in Japanese versions only |
| Kanafname | string | Kana first name, used in Japanese versions only |
| CorrespondingAssociate | Associate | The associate corresponding to this person. Will be empty if the person is not a user (internal associate user, external user). |
| Category | Category | Person's category. Usually null. Refer to the Contact.Category instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "category" to get list items. |
| Business | Business | Person's business - usually blank. Use Contact.Business instead. Intended for use when individual persons are created. (i.e. when Person.Contact is blank) Use MDO List name "business" to get list items. |
| Associate | Associate | The associate owning this person (similar to contact.Associate) - usually blank. Use the Person.Contact.Associate instead. Intended for use when individual persons are created (i.e. when Person.Contact is blank) Use MDO List name "associate" to get list items. |
| Salutation | string | Academic title, populated from Salutation list but can be overwritten with anything at all Use MDO List name "salutation" to get list items. |
| ActiveInterests | int32 | The number of active interests. |
| SupportAssociate | Associate | Use MDO List name "associate" to get list items. |
| TicketPriority | TicketPriority | Use MDO List name "ticketpriority" to get list items. |
| CustomerLanguage | CustomerLanguage | Use MDO List name "customerlanguage" to get list items. |
| DbiAgentId | int32 | Integration agent (eJournal) |
| DbiKey | string | The primary key for the integrated entry in the external datasource. |
| DbiLastModified | date-time | When the entry was last modified. |
| DbiLastSyncronized | date-time | Last external syncronization. |
| SentInfo | int32 | Has information on username/password been sent (ejournal) |
| ShowContactTickets | int32 | Should tickets related to the company be shown to this person |
| UserInfo | UserInfo | Information about the user if this person is a user. If IsAssociate (e.g. is user is true) the UserInfo will be provided. |
| ChatEmails | array | |
| InternetPhones | array | |
| Source | int32 | How did we get this person? For future integration needs |
| ActiveErpLinks | int32 | How many active ERP links are there for this person? |
| ShipmentTypes | array | The person's available and selected shipment types. |
| Consents | array | The person's available consent information. Missing consents are not deleted. To remove a consent, mark its legalbase as 'WITHDRAWN' |
| BounceEmails | array | Email addresses with a positive bounce counter. |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for person |
| CreatedByFormId | int32 | The form id of the form that created the person |
| UtmParameters | SavedUtmParameters | Utm parameters when creating this person, readonly fields |
| LeadstatusId | int32 | Refinement of categories of lead type. Empty if the category is not a lead type. |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.PersonEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.PersonEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
PUT /api/v1/Person/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8
{
"PersonId": 648,
"Firstname": "Delphia",
"MiddleName": "Hyatt LLC",
"Lastname": "Johnson",
"Mrmrs": "velit",
"Title": "repudiandae",
"UpdatedDate": "2003-02-04T14:34:02.0892601+01:00",
"CreatedDate": "2018-05-22T14:34:02.0892601+02:00",
"BirthDate": "2001-03-03T14:34:02.0892601+01:00",
"CreatedBy": null,
"Emails": [
{
"Value": "dolorem",
"StrippedValue": "modi",
"Description": "Synchronised mission-critical middleware"
},
{
"Value": "dolorem",
"StrippedValue": "modi",
"Description": "Synchronised mission-critical middleware"
}
],
"Description": "Synchronised explicit success",
"IsAssociate": false,
"PrivatePhones": [
{
"Value": "sit",
"StrippedValue": "quibusdam",
"Description": "Organized regional artificial intelligence"
},
{
"Value": "sit",
"StrippedValue": "quibusdam",
"Description": "Organized regional artificial intelligence"
}
],
"Faxes": [
{
"Value": "consequatur",
"StrippedValue": "dignissimos",
"Description": "Organic zero administration intranet"
},
{
"Value": "consequatur",
"StrippedValue": "dignissimos",
"Description": "Organic zero administration intranet"
}
],
"MobilePhones": [
{
"Value": "voluptas",
"StrippedValue": "quod",
"Description": "Robust local model"
},
{
"Value": "voluptas",
"StrippedValue": "quod",
"Description": "Robust local model"
}
],
"OfficePhones": [
{
"Value": "dolore",
"StrippedValue": "quibusdam",
"Description": "Upgradable content-based help-desk"
},
{
"Value": "dolore",
"StrippedValue": "quibusdam",
"Description": "Upgradable content-based help-desk"
}
],
"OtherPhones": [
{
"Value": "cupiditate",
"StrippedValue": "eos",
"Description": "Integrated context-sensitive challenge"
},
{
"Value": "cupiditate",
"StrippedValue": "eos",
"Description": "Integrated context-sensitive challenge"
}
],
"Position": null,
"UpdatedBy": null,
"Contact": null,
"Country": null,
"Interests": [
{
"Id": 101,
"Name": "Hirthe Inc and Sons",
"ToolTip": "Sint sed repudiandae.",
"Deleted": false,
"Rank": 284,
"Type": "itaque",
"ColorBlock": 472,
"IconHint": "sit",
"Selected": true,
"LastChanged": "2008-07-26T14:34:02.0922566+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "quo",
"StyleHint": "qui",
"Hidden": false,
"FullName": "Prof. Madisyn Lind"
}
],
"PersonNumber": "1114849",
"FullName": "Mr. Enrique Legros MD",
"NoMailing": false,
"UsePersonAddress": false,
"Retired": false,
"Urls": [
{
"Value": "eveniet",
"StrippedValue": "odit",
"Description": "Synchronised client-server attitude"
},
{
"Value": "eveniet",
"StrippedValue": "odit",
"Description": "Synchronised client-server attitude"
}
],
"FormalName": "Sawayn, Feest and Ortiz",
"Address": null,
"Post3": "ut",
"Post2": "reiciendis",
"Post1": "possimus",
"Kanalname": "maiores",
"Kanafname": "incidunt",
"CorrespondingAssociate": null,
"Category": null,
"Business": null,
"Associate": null,
"Salutation": "consequatur",
"ActiveInterests": 279,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"DbiAgentId": 890,
"DbiKey": "totam",
"DbiLastModified": "2021-04-20T14:34:02.0942571+02:00",
"DbiLastSyncronized": "2007-09-17T14:34:02.0942571+02:00",
"SentInfo": 322,
"ShowContactTickets": 370,
"UserInfo": null,
"ChatEmails": [
{
"Value": "vitae",
"StrippedValue": "quod",
"Description": "Synchronised content-based moratorium"
},
{
"Value": "vitae",
"StrippedValue": "quod",
"Description": "Synchronised content-based moratorium"
}
],
"InternetPhones": [
{
"Value": "odio",
"StrippedValue": "temporibus",
"Description": "Business-focused next generation parallelism"
},
{
"Value": "odio",
"StrippedValue": "temporibus",
"Description": "Business-focused next generation parallelism"
}
],
"Source": 451,
"ActiveErpLinks": 180,
"ShipmentTypes": [
{
"Id": 994,
"Name": "Kiehn Inc and Sons",
"ToolTip": "Non pariatur est nihil.",
"Deleted": false,
"Rank": 190,
"Type": "illum",
"ColorBlock": 720,
"IconHint": "praesentium",
"Selected": true,
"LastChanged": "2004-07-06T14:34:02.0952567+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "ut",
"StyleHint": "rerum",
"Hidden": true,
"FullName": "Mr. Cleo Mann"
}
],
"Consents": [
{
"ConsentPersonId": 662,
"Comment": "commodi",
"Registered": "2007-11-13T14:34:02.0952567+01:00",
"RegisteredAssociateId": 363,
"Updated": "2015-05-14T14:34:02.0952567+02:00",
"UpdatedAssociateId": 414,
"LegalBaseId": 345,
"LegalBaseKey": "suscipit",
"LegalBaseName": "Grant LLC",
"ConsentPurposeId": 13,
"ConsentPurposeKey": "voluptas",
"ConsentPurposeName": "Koch-Maggio",
"ConsentSourceId": 61,
"ConsentSourceKey": "non",
"ConsentSourceName": "Wilderman, Hickle and Stamm"
}
],
"BounceEmails": [
"rhiannon_balistreri@torphy.co.uk",
"erika_macejkovic@medhurst.com"
],
"ActiveStatusMonitorId": 808,
"CreatedByFormId": 346,
"UtmParameters": null,
"LeadstatusId": 503,
"UserDefinedFields": {
"SuperOffice:1": "Mrs. Zander Wunsch Jr.",
"SuperOffice:2": "Jeffery Oleta Abbott V"
},
"ExtraFields": {
"ExtraFields1": "labore",
"ExtraFields2": "beatae"
},
"CustomFields": {
"CustomFields1": "est",
"CustomFields2": "consequatur"
}
}
Sample response
HTTP/1.1 200 PersonEntity updated.
Content-Type: application/json; charset=utf-8
{
"PersonId": 480,
"Firstname": "John",
"MiddleName": "Hilll Inc and Sons",
"Lastname": "Smith",
"Mrmrs": "qui",
"Title": "Sales Manager",
"UpdatedDate": "1998-07-24T14:34:02.1032903+02:00",
"CreatedDate": "2007-07-14T14:34:02.1032903+02:00",
"BirthDate": "2019-11-12T14:34:02.1032903+01:00",
"CreatedBy": null,
"Emails": [
{
"Value": "et",
"StrippedValue": "alias",
"Description": "Face to face grid-enabled complexity",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 980
}
}
},
{
"Value": "et",
"StrippedValue": "alias",
"Description": "Face to face grid-enabled complexity",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 980
}
}
}
],
"Description": "Primary contact",
"IsAssociate": false,
"PrivatePhones": [
{
"Value": "natus",
"StrippedValue": "voluptatum",
"Description": "Grass-roots modular utilisation",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 108
}
}
},
{
"Value": "natus",
"StrippedValue": "voluptatum",
"Description": "Grass-roots modular utilisation",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 108
}
}
}
],
"Faxes": [
{
"Value": "deserunt",
"StrippedValue": "doloribus",
"Description": "Diverse web-enabled challenge",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 132
}
}
},
{
"Value": "deserunt",
"StrippedValue": "doloribus",
"Description": "Diverse web-enabled challenge",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 132
}
}
}
],
"MobilePhones": [
{
"Value": "quo",
"StrippedValue": "alias",
"Description": "Primary contact",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 750
}
}
},
{
"Value": "quo",
"StrippedValue": "alias",
"Description": "Primary contact",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 750
}
}
}
],
"OfficePhones": [
{
"Value": "impedit",
"StrippedValue": "in",
"Description": "Compatible next generation task-force",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 47
}
}
},
{
"Value": "impedit",
"StrippedValue": "in",
"Description": "Compatible next generation task-force",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 47
}
}
}
],
"OtherPhones": [
{
"Value": "laboriosam",
"StrippedValue": "ad",
"Description": "User-friendly intermediate artificial intelligence",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 468
}
}
},
{
"Value": "laboriosam",
"StrippedValue": "ad",
"Description": "User-friendly intermediate artificial intelligence",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 468
}
}
}
],
"Position": null,
"UpdatedBy": null,
"Contact": null,
"Country": null,
"Interests": [
{
"Id": 229,
"Name": "Crist Inc and Sons",
"ToolTip": "Aut doloremque voluptas alias.",
"Deleted": false,
"Rank": 753,
"Type": "nostrum",
"ColorBlock": 546,
"IconHint": "asperiores",
"Selected": false,
"LastChanged": "2012-02-22T14:34:02.1032903+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "in",
"StyleHint": "modi",
"Hidden": false,
"FullName": "John Smith",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 67
}
}
}
],
"PersonNumber": "1125508",
"FullName": "Ryder Gorczany PhD",
"NoMailing": true,
"UsePersonAddress": true,
"Retired": true,
"Urls": [
{
"Value": "quo",
"StrippedValue": "ullam",
"Description": "Managed clear-thinking workforce",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 95
}
}
},
{
"Value": "quo",
"StrippedValue": "ullam",
"Description": "Managed clear-thinking workforce",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 95
}
}
}
],
"FormalName": "Nader-Jacobs",
"Address": null,
"Post3": "quo",
"Post2": "voluptatem",
"Post1": "ut",
"Kanalname": "quod",
"Kanafname": "consectetur",
"CorrespondingAssociate": null,
"Category": null,
"Business": null,
"Associate": null,
"Salutation": "ullam",
"ActiveInterests": 480,
"SupportAssociate": null,
"TicketPriority": null,
"CustomerLanguage": null,
"DbiAgentId": 27,
"DbiKey": "odit",
"DbiLastModified": "2002-10-12T14:34:02.1032903+02:00",
"DbiLastSyncronized": "2025-03-14T14:34:02.1032903+01:00",
"SentInfo": 291,
"ShowContactTickets": 104,
"UserInfo": null,
"ChatEmails": [
{
"Value": "quo",
"StrippedValue": "iusto",
"Description": "Quality-focused incremental analyzer",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 933
}
}
},
{
"Value": "quo",
"StrippedValue": "iusto",
"Description": "Quality-focused incremental analyzer",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 933
}
}
}
],
"InternetPhones": [
{
"Value": "id",
"StrippedValue": "ratione",
"Description": "Self-enabling grid-enabled benchmark",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 750
}
}
},
{
"Value": "id",
"StrippedValue": "ratione",
"Description": "Self-enabling grid-enabled benchmark",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 750
}
}
}
],
"Source": 586,
"ActiveErpLinks": 477,
"ShipmentTypes": [
{
"Id": 311,
"Name": "Mante Inc and Sons",
"ToolTip": "Quidem sit unde consequuntur quis.",
"Deleted": false,
"Rank": 935,
"Type": "est",
"ColorBlock": 852,
"IconHint": "esse",
"Selected": true,
"LastChanged": "2024-03-11T14:34:02.1032903+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "optio",
"StyleHint": "aut",
"Hidden": false,
"FullName": "John Smith",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 345
}
}
}
],
"Consents": [
{
"ConsentPersonId": 622,
"Comment": "adipisci",
"Registered": "2010-10-09T14:34:02.1032903+02:00",
"RegisteredAssociateId": 198,
"Updated": "2009-05-11T14:34:02.1032903+02:00",
"UpdatedAssociateId": 38,
"LegalBaseId": 920,
"LegalBaseKey": "corrupti",
"LegalBaseName": "Prohaska, Ruecker and Frami",
"ConsentPurposeId": 99,
"ConsentPurposeKey": "voluptas",
"ConsentPurposeName": "Ryan-Little",
"ConsentSourceId": 972,
"ConsentSourceKey": "optio",
"ConsentSourceName": "Nikolaus Group",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 199
}
}
}
],
"BounceEmails": [
"laila.muller@mitchell.us",
"mallie.rice@keebler.uk"
],
"ActiveStatusMonitorId": 651,
"CreatedByFormId": 449,
"UtmParameters": null,
"LeadstatusId": 625,
"UserDefinedFields": {
"SuperOffice:1": "False",
"SuperOffice:2": "226925430"
},
"ExtraFields": {
"ExtraFields1": "eos",
"ExtraFields2": "beatae"
},
"CustomFields": {
"CustomFields1": "sit",
"CustomFields2": "iusto"
},
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 640
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/project/321",
"Archive": "https://www.example.com/api/v1/project"
}
}